void check_inout(int);
void and_or2(int);
void and1(int, int);
void and2(int, int);
void always(void);

FILE *fd,*fs;
char source[10],dest[10],temp[70],temp1[70];
char assign1[60],var1[30],var2[30],var3[30],variable1[30],variable2[30],outvar[30],final[30],oper[3],oper1;
int i,l,j,m,n[10],l2,l3,l1,varcount=0;



struct and_count
{
int count;
}and,or,xor,not,nand,nor,xnor,nand3,nor3,buf,or4,nand4,nor4;

struct variables
{
int size1,size2;
char name[10];
} varray[30];

struct always_1
{ char line[80];
}all[20];

